import React, { useCallback } from "react";
import CacheSettingsComponent from "./CacheSettingsComponent";
import { useTranslation } from "react-i18next";
import { routes, post } from "utils/api";
import { blip } from "utils";

const CacheSettingsContainer = () => {
  const { t } = useTranslation();
  const handleResetCache = useCallback(async () => {
    await post(
      routes.resetCache,
      {},
      {
        onCompleted: () => blip.info(t("Settings.Cache.ResetInfo"))
      }
    );
  }, [t]);

  return <CacheSettingsComponent onResetCache={handleResetCache} />;
};

export default CacheSettingsContainer;
